/*
This is a part of the LiteStep Shell Source code.

Copyright (C) 1997-2001 The LiteStep Development Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/ 
/*
  Copyright (C) 1998-1999 Johan Redestig
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#if !defined(AFX_TASKITEM_H__7B661E06_884A_11D2_B6C1_00C0DF466974__INCLUDED_)
#define AFX_TASKITEM_H__7B661E06_884A_11D2_B6C1_00C0DF466974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "commandItem.h"
#include "TaskMenu.h"
#include "TaskFolder.h"

class TaskItem : public CommandItem
{
public:
	TaskItem(HWND hWnd);
	virtual ~TaskItem();
	void Invoke();
	void RInvoke();
	void Paint(HDC hDC);
	void Mouse(int nMsg, int x, int y, WPARAM wParam);
	BOOL Key(WPARAM nKey);

	void KillSelWindowProcess(HWND hWnd);
	void HideSelWindow(HWND hWnd);
	void CloseSelWindow(HWND hWnd);
	void ShowSystemMenu(HWND hWnd);
	static void SetWindowCaption(BOOL bCap)
	{
		m_bWindowCaption = bCap;
	}
	static void SetStayOnSysMenu(BOOL stay)
	{
		PopupStayOnSysMenu = stay;
	}

protected:
	HWND m_hWnd;
	static BOOL m_bWindowCaption;
	static BOOL PopupStayOnSysMenu;
	char pszWindowText[1024];
};

#endif // !defined(AFX_TASKITEM_H__7B661E06_884A_11D2_B6C1_00C0DF466974__INCLUDED_)
